# Class GroupPrincipalCallback

java.lang.Object
jakarta.security.auth.message.callback.GroupPrincipalCallback

All Implemented Interfaces:
  `Callback`

public class GroupPrincipalCallback extends Object implements Callback
Callback that enables an authentication module to inform the runtime of the groups a user is in.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupPrincipalCallback(Subject subject, String[] groups)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getGroups()`
  `Subject`
  `getSubject()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupPrincipalCallback

    public GroupPrincipalCallback(Subject subject, String[] groups)

- ## Method Details

  - ### getSubject

    public Subject getSubject()

  - ### getGroups

    public String[] getGroups()